> For the complete documentation index, see [llms.txt](https://docs.airdev.co/canvas/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airdev.co/canvas/3.0.0-1/canvas-functionality/reference/default-pages/verify.md).

# Verify

**Page name:** verify\
**Purpose:** Destination page where users are directed to when they click the verify button from the email in the email verification process

![If the user waits too long to verify their email the link will expire](/files/-MPzHjRHvYxriACaSKwS)

## Workflows

The verify page has four events that trigger different workflows depending on the scenario

![](/files/-MPzJcWBtOhrehE3jxg3)

### **Page is loaded and current email verification is empty**

If`current page email verification is empty`, users will be shown an expired link group, and they will automatically be sent a new verification email.

### **Page is loaded and current email verification is not empty**&#x20;

They will be shown am email verified group and the user's `date completed sign up` will be marked as completed. If the `email verification user's email`is different from the email verification's `email` field, then the user's email will be updated to the new email. Once the user's email is verified on this page, an API workflow will be scheduled to delete the current page email verification.

### **Button continue is clicked**

Users will be redirect to the [`index`](broken://pages/-LZf4VKYhQeilNpCIFNI) page if they are logged in. If they are not logged in, they will be taken to the [`login`](broken://pages/-L_j3POGPbMTakqsKph6) page.

### **Button go home is clicked**

They will be redirected to the index page.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.airdev.co/canvas/3.0.0-1/canvas-functionality/reference/default-pages/verify.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
